Index: src/sans/simulation/iqPy/tests/Make.mm
===================================================================
--- src/sans/simulation/iqPy/tests/Make.mm	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
+++ src/sans/simulation/iqPy/tests/Make.mm	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
@@ -0,0 +1,48 @@
+# -*- Makefile -*-
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#                               Michael A.G. Aivazis
+#                        California Institute of Technology
+#                        (C) 1998-2005  All Rights Reserved
+#
+# <LicenseText>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+PROJECT = iqPy
+PACKAGE = tests
+
+PROJ_CLEAN += $(PROJ_CPPTESTS)
+
+PROJ_PYTESTS = testiq.py
+PROJ_CPPTESTS = testiq
+PROJ_TESTS = $(PROJ_PYTESTS) $(PROJ_CPPTESTS)
+PROJ_LIBRARIES = -L$(BLD_LIBDIR) -liqPy
+PROJ_CXX_INCLUDES = ../libiqPy/tnt  \
+		    ../libiqPy
+
+#--------------------------------------------------------------------------
+#
+
+all: $(PROJ_TESTS)
+
+test:
+	for test in $(PROJ_TESTS) ; do $${test}; done
+
+release: tidy
+	cvs release .
+
+update: clean
+	cvs update .
+
+#--------------------------------------------------------------------------
+#
+
+testiq: testiq.cc $(BLD_LIBDIR)/libiqPy.$(EXT_SAR)
+	$(CXX) $(CXXFLAGS) $(LCXXFLAGS) -o $@ testiq.cc $(PROJ_LIBRARIES)
+
+# version
+# $Id$
+
+# End of file
Index: src/sans/simulation/iqPy/tests/signon.py
===================================================================
--- src/sans/simulation/iqPy/tests/signon.py	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
+++ src/sans/simulation/iqPy/tests/signon.py	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
@@ -0,0 +1,34 @@
+#!/usr/bin/env python
+# 
+#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# 
+#                               Michael A.G. Aivazis
+#                        California Institute of Technology
+#                        (C) 1998-2005  All Rights Reserved
+# 
+#  <LicenseText>
+# 
+#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# 
+
+if __name__ == "__main__":
+
+    import iqPy
+    from iqPy import iqPy as iqPymodule
+
+    print "copyright information:"
+    print "   ", iqPy.copyright()
+    print "   ", iqPymodule.copyright()
+
+    print
+    print "module information:"
+    print "    file:", iqPymodule.__file__
+    print "    doc:", iqPymodule.__doc__
+    print "    contents:", dir(iqPymodule)
+
+    print
+
+# version
+__id__ = "$Id$"
+
+#  End of file 
Index: src/sans/simulation/iqPy/tests/testiq.cc
===================================================================
--- src/sans/simulation/iqPy/tests/testiq.cc	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
+++ src/sans/simulation/iqPy/tests/testiq.cc	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
@@ -0,0 +1,34 @@
+#include "iq.h"
+#include <iostream>
+
+using namespace std;
+
+int main(){
+
+  cout << " Generating a empty iq 2D array with size of 10"  << endl;
+	IQ iq1(10);
+
+	for (int i = 0; i< iq1.iq_data.dim1(); i++)
+		cout << iq1.iq_data[i][0]<< " " << iq1.iq_data[i][0] <<endl;
+
+	int dim = iq1.iq_data.dim1();
+
+	cout << "dimension of the iq array is : " << dim << endl;
+
+	iq1.SetQmin(0.001);
+	iq1.SetQmax(0.4);
+	iq1.SetContrast(1.0);
+	iq1.SetVolFrac(1.0);
+
+	cout << iq1.GetQmin() << " " << iq1.GetQmax() << " " << iq1.GetContrast() << " " << iq1.GetVolFrac() << endl;
+
+	cout << "generating another empty iq object through constructor IQ(numI,qmin,qmax)" <<endl;
+	
+	IQ iq2(15,0.001,0.4);
+
+	iq2.OutputIQ("out.iq");
+
+	cout << "pass." << endl;
+
+	return 0;
+}
Index: src/sans/simulation/iqPy/tests/testiq.py
===================================================================
--- src/sans/simulation/iqPy/tests/testiq.py	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
+++ src/sans/simulation/iqPy/tests/testiq.py	(revision aa639ea269b76d78cd120b41705f70280ef4e03e)
@@ -0,0 +1,24 @@
+#!/usr/bin/env python
+# 
+#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# 
+#                               Michael A.G. Aivazis
+#                        California Institute of Technology
+#                        (C) 1998-2005  All Rights Reserved
+# 
+#  <LicenseText>
+# 
+#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# 
+
+if __name__ == "__main__":
+
+	from SANSsimulation import iqPy
+	iqPy.new_iq(10,0.01,0.4)
+
+	print "pass."
+
+# version
+__id__ = "$Id$"
+
+#  End of file 
